@import "../../../../global.scss";

// .table {
//     thead th {
//       border-top: none !important;
//       border-bottom: none !important;
//       background-color: $DarkBlue;
//       color: $Lime;
//       font-weight: normal;
//       vertical-align: middle;
  
//       &:not(:first-child) {
//         text-align: center;
//       }
//     }

//     tr{
//         text-align: center;
//     }
  
//     tbody tr:nth-child(2n) {
//       background-color: rgba($color: $DarkBlue, $alpha: 0.15);
//     }
  
//     td, th {
//       padding: 5px 12px;
//       vertical-align: middle;
//       color: $DarkBlue;
//       border: none;
//     }
//   }


  .middle{
      vertical-align: middle;
  }

.iconWrapperRow{
    width: 100%;
    display: flex;
    td{
        flex: 1;
    }
}

.dropdown {
    :global(.dropdown-menu) a:active {
      background-color: $DarkBlue;
    }
  }
  
  .dropdownBtn {
    &::after {
      content: "";
      display: inline-block;
      height: 8px;
      width: 8px;
      border: 1px solid;
      border-color: $DarkBlue;
      border-left: none;
      border-top: none;
      transform: rotate(45deg) translateY(-4px);
      margin-left: 20px;
    }
  
    color: $DarkBlue;
    border-color: rgba($DarkBlue, 0.3) !important;
    padding: 3px 15px;
    font-size: 14px;
    @include smobile {
      width: 345%
    }
  
    &:hover,
    &:active,
    &:focus {
      background-color: $White !important;
      color: $DarkBlue !important;
      border-color: rgba($DarkBlue, 0.3) !important;
      outline: none !important;
      box-shadow: none !important;
    }
  }

.btnRight {
    background-color: $Teal;
    color: $White;
    padding: 3px 15px;
    font-size: 14px;
    border: none;
  
    &:hover, &:active, &:focus {
        background-color: $Teal !important;
        color: $White !important;
        padding: 3px 15px !important;
        font-size: 14px !important;
        border: none !important;
    }
  }
  
  .dropdown_height{
    max-height: 50vh;
    overflow: scroll;
    background: white;
    width: auto;
    @include smobile {
      width: 500%
    }
  }
  
  #loading_bar_spinner.spinner {
    left: 50%;
    margin-left: -20px;
    top: 80%;
    margin-top: -20px;
    position: absolute;
    z-index: 19 !important;
    animation: loading_bar_spinner 400ms linear infinite;
}

#loading_bar_spinner.spinner .spinner_icon {
    width: 40px;
    height: 40px;
    border:  solid 4px transparent;
    border-top-color:  $DarkBlue !important;
    border-left-color: $DarkBlue !important;
    border-radius: 50%;
}

// @keyframes loading_bar_spinner {
//   0%   { transform: rotate(0deg);   transform: rotate(0deg); }
//   100% { transform: rotate(360deg); transform: rotate(360deg); }
// }

@keyframes loading_bar_spinner {
  0%   { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


.ddheight {
  height: 7em;
}

.input {
  color: $DarkBlue;
  border: 1px solid rgba($DarkBlue, 0.3);
  border-radius: 5px;
  font-size: 14px;
  padding: 3px 5px;

  &:focus,
  &:active {
    outline: none !important;
  }
}

#tableNoti {
  margin-top: 100px;

  .table {
    thead th {
      font-size: 16px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.12;
      letter-spacing: normal;
      text-align: left;
      color: $Lime;
      border: none;
      background-color: $DarkBlue;

      @include smobile() {
        font-size: 16px;
      }
    }

    tbody tr:nth-child(2n) {
      background-color: rgba($color: $DarkBlue, $alpha: 0.15);
    }

    th {
      font-size: 16px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.12;
      letter-spacing: normal;
      text-align: left;
      color: $Lime;
    }

    td {
      // font-size: 20px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.3;
      letter-spacing: normal;
      text-align: left;
      // color: $Teal;
      color: #06333f;

    }
  }

  @media only screen and (max-width: 1024px) {

    table,
    thead,
    tbody,
    th,
    td,
    tr {
      display: block;
    }

    thead tr {
      position: absolute;
      top: -9999px;
      left: -9999px;
    }

    thead th {
      color: $Lime !important;
      background-color: $DarkBlue !important;
    }

    td {
      /* Behave  like a "row" */
      border: none;
      border-bottom: 1px solid #eee;
      position: relative;
      padding-left: 50%;
    }

    td:before {
      /* Now like a table header */
      position: absolute;
      /* Top/left values mimic padding */
      top: 6px;
      left: 6px;
      width: 45%;
      padding-right: 10px;
      white-space: nowrap;
    }


    /*
	Label the data
	*/
    td:nth-of-type(1):before {
      content: "User ID";
    }

    td:nth-of-type(2):before {
      content: "Full Name";
    }

    td:nth-of-type(3):before {
      content: "on Zip";
    }

    td:nth-of-type(4):before {
      content: "User Role";
    }

    td:nth-of-type(5):before {
      content: "Supply Chain Admin";
      width: 152px;
      word-break: break-word;
      overflow-wrap: break-word;
      display: inline-block;
      white-space: break-spaces;
    }

    td:nth-of-type(3) {
      display: inline-block;
      overflow-wrap: break-word;
      word-wrap: break-word;
      word-break: normal;
      line-break: strict;
      width: 100%;
      padding-bottom: 30px;
    }

    td:nth-of-type(4) {
      word-break: break-word;
      overflow-wrap: break-word;
    }
  }
}
